IRPCObjectOperations.GetPropertyValueWithMetadata
Vault API / core read session or assertion idempotent
Gets a property value and its metadata.
| Service | Objects, versions, properties and files MFiles.IRPCObjectOperations |
|---|---|
| gRPC method | /MFiles.IRPCObjectOperations/GetPropertyValueWithMetadata |
| HTTP (mf-http-grpc) | POST /grpc/v1/get-property-value-with-metadata |
| Request | GetPropertyValueWithMetadataRequest |
| Response | GetPropertyValueWithMetadataResponse |
| Book and level | Vault API, core |
| Kind | read |
| Session | Required: a session (mfiles-session-id-bin metadata) or a session assertion (x-mf-session-assertion metadata). |
| Idempotent | yes |
| Returns metadata structure version | no |
| Streaming | none (unary) |
Request: GetPropertyValueWithMetadataRequest
Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.
| Field | Type | Description |
|---|---|---|
obj_ver | ObjVer | The object version. |
obj_ver.obj_id | ObjID | The object. |
obj_ver.obj_id.type | int32 | The object type ID, for example 0 for documents. In a lookup value, the value list ID (for a lookup to objects, the object type ID). |
obj_ver.obj_id.item_id | ItemID | The ID of the object within its type, in item_id.internal_id. |
obj_ver.version | ObjVerVersion | The version. Usually OBJ_VER_VERSION_TYPE_SPECIFIC with internal_version. |
obj_ver.version.type | ObjVerVersionType | What internal_version means. OBJ_VER_VERSION_TYPE_SPECIFIC for a version number.Values: OBJ_VER_VERSION_TYPE_UNINITIALIZED (0), OBJ_VER_VERSION_TYPE_LATEST (1), OBJ_VER_VERSION_TYPE_ANY (2), OBJ_VER_VERSION_TYPE_ALL (3), OBJ_VER_VERSION_TYPE_SPECIFIC (4), OBJ_VER_VERSION_TYPE_VALUE_LIST_ITEM (6), OBJ_VER_VERSION_TYPE_OBJECT_LEVEL_REFERENCE (7). |
obj_ver.version.internal_version | int32 | The version number, starting from 1, when type is OBJ_VER_VERSION_TYPE_SPECIFIC. The server returns -1 with OBJ_VER_VERSION_TYPE_LATEST. |
obj_ver.version.external_repository_version | string | Used only for objects in external repositories. Leave empty. |
obj_ver.version.external_repository_sort_key | int64 | Used only for objects in external repositories. Leave 0. |
property_def | int32 | The property to add metadata to. |
Response: GetPropertyValueWithMetadataResponse
Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.
| Field | Type | Description |
|---|---|---|
prop_val_with_metadata | PropertyValueWithMetadata | Receives the property value with metadata. |
prop_val_with_metadata.property_def | int32 | Property definition ID. |
prop_val_with_metadata.value | TypedValueWithMetadata | The value of the property. |
prop_val_with_metadata.value.type | Datatype | Data type. Note. Name of the property can't be isNull because name collision with Objective-C reserved name. |
prop_val_with_metadata.value.is_null_value | bool | Is the value unset. |
prop_val_with_metadata.value.data | TypedValueUnionWithMetadata | The value data as a union, if set. |
prop_val_with_metadata.value.value_metadata | TypedValueMetadata | The metadata about the typed value. If the value is a Lookup or MSLookup, this data will be in that struct. |